org.apache.jmeter.protocol.http.proxy

## Class SamplerCreatorFactory

- java.lang.Object
- - org.apache.jmeter.protocol.http.proxy.SamplerCreatorFactory

-     public class SamplerCreatorFactory
      extends Object

  `SamplerCreator` factory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamplerCreatorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SamplerCreator` | `getSamplerCreator(HttpRequestHdr request, Map<String,String> pageEncodings, Map<String,String> formEncodings)` Gets `SamplerCreator` for content type, if none is found returns `DefaultSamplerCreator`
    `void` | `setCounter(int value)` Set the counter for all available `SamplerCreator`s.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SamplerCreatorFactory

          public SamplerCreatorFactory()

  - ### Method Detail

    - #### setCounter

          public void setCounter(int value)

      Set the counter for all available `SamplerCreator`s.

      The only implementation that is currently available, increments the counter before it is used!

      Parameters:
        `value` - to initialize the creators

    - #### getSamplerCreator

          public SamplerCreator getSamplerCreator(HttpRequestHdr request,
                                                  Map<String,String> pageEncodings,
                                                  Map<String,String> formEncodings)

      Gets `SamplerCreator` for content type, if none is found returns `DefaultSamplerCreator`
      Parameters:
        `request` - `HttpRequestHdr` from which the content type should be used
        `pageEncodings` - Map of pageEncodings
        `formEncodings` - Map of formEncodings
      Returns:
        SamplerCreator for the content type of the `request`, or `DefaultSamplerCreator` when none is found

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.